# Overview

This is charm to deploy graphite-beacon which is a simple alerting system for [Graphite](http://graphite.wikidot.com/) metrics.

Features:

- Simplest installation (one python package dependency);
- No software dependencies (Databases, AMQP and etc);
- Light and full asyncronous;
- SMTP, Hipchat, Slack, Pagerduty, HTTP handlers (Please make a request for additional handlers);
- Easy configurable and support "historical values"

For details about telegraf see: https://github.com/klen/graphite-beacon

# Usage

    juju deploy graphite-beacon
    juju set graphite-beacon graphite_url=http://<your graphite host:port> 
    # and set the main config and alerts
    juju set graphite-beacon config="$(cat config.yml)" alerts="$(cat alerts.yml)"



# Configuration 

example config content: 

  config.yml: 

    interval: "1minute"
    smtp:
        username: "example@gmail.com"
        password: "password"
        use_tls: true
        host: "smtp.gmail.com"
        port: 587
        from: "myemail@gmail.com"
        to:
            - "myemail@gmail.com"

  alerts.yml:


    alerts:
    - format: none
      interval: 1minute
      name: my test metric name
      query: sumSeries(my.metrics.namespace.event.count)
      rules: ['warning: < 100', 'warning: > 500', 'critical: > 1000']



For details on how to configure graphite-beacon, please see https://github.com/klen/graphite-beacon#configuration
    

# Contact Information

- Upstream https://github.com/klen/graphite-beacon
- Upstream bug tracker https://github.com/klen/graphite-beacon/issues
